package com.YuyeTech.TPlat.service;

import com.YuyeTech.TPlat.dataobject.UserReward;
import com.YuyeTech.TPlat.dataobject.UserWallets;

import java.util.List;

/**
 * @author:slambb
 * @date:2021/8/5
 */
public interface UserRewardService {

    void saveUserReward(UserReward userReward);

    UserReward findByUserIdAndEventId(String userId,Integer eventId);

    List<UserReward> findAllHonorByAndUserId(String userId);
}
